LDEXP(3)

NAME
ldexp, ldexpf, ldexpl - multiply floating-point number by integral power of 2

SYNOPSIS
#include <math.h>

double ldexp(double x, int exp);
float ldexpf(float x, int exp);
long double ldexpl(long double x, int exp);

Link with -lm.

DESCRIPTION
The ldexp() function returns the result of multiplying the floating-point number x by 2 raised to the power exp.

CONFORMING TO
SVr4, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
frexp(3), modf(3), scalb(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.